package org.studiorailgun.conversation.evaluators.query;

import java.util.LinkedList;
import java.util.List;

import org.studiorailgun.conversation.tracking.Sentence;

/**
 * Data about recent queries in the conversation
 */
public class QueryData {

    /**
     * The recent queries
     */
    List<Sentence> recentQueries = new LinkedList<Sentence>();

    /**
     * Gets the recent queries in the conversation
     * @return The recent queries
     */
    public List<Sentence> getRecentQueries(){
        return recentQueries;
    }

    /**
     * Adds the sentence to the recent queries
     * @param sentence The sentence
     */
    public void addQuery(Sentence sentence){
        recentQueries.add(sentence);
    }
    
}
